select t.fmonth,sum(t.famount)famount from (
select convert(varchar(7),t1.fdate,120)as fmonth,SUM(t1.forderamount)/count(0) as famount from DSBCRM..tcustomer_reception t1
inner join DSBCRM..tagents t2 on t1.siteid=t2.siteid and t1.tagentsid=t2.tagentsid
where t1.ftype='ÏúÊÛ' and t1.siteid=$siteid$ and convert(varchar(7),t1.fdate,120)>=$fbegmonth$ and convert(varchar(7),t1.fdate,120)<=$fendmonth$
group by convert(varchar(7),t1.fdate,120)
union all
select fmonth,0 as famount from DSBCRM..tmonthlist
where fmonth>=$fbegmonth$ and fmonth<=$fendmonth$
)t
group by t.fmonth order by t.fmonth